> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Products

> Retrieve a list of `Product` objects.

You can use query parameters to filter, sort, and paginate the results.





## OpenAPI

````yaml /api-reference/services_documented/billing_reseller_api.yaml get /billing/org/v1/products
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Billing Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: addendums
    description: Operations on client addendums
    x-displayName: addendums
  - name: calc_rules
    x-displayName: calc_rules
  - name: currencies
    x-displayName: currencies
  - name: erp-invoices
    x-displayName: erp-invoices
  - name: expenses
    description: Operations on expenses
    x-displayName: expenses
  - name: plans
    description: Operations on tariff plans and their contents
    x-displayName: plans
  - name: products
    x-displayName: products
  - name: reports
    description: >-
      Operations involving reports and the associated background tasks that
      handle their processing
    x-displayName: reports
  - name: trials
    x-displayName: trials
paths:
  /billing/org/v1/products:
    get:
      tags:
        - products
      summary: List Products
      description: |+
        Retrieve a list of `Product` objects.

        You can use query parameters to filter, sort, and paginate the results.

      operationId: v1_products_list
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of results to return per page. Maximum is `100`.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedProductForOrgList'
          description: Request successful.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '403':
          description: You do not have permission to perform this action.
components:
  schemas:
    PaginatedProductForOrgList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/ProductForOrg'
    ProductForOrg:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name_en:
          type: string
          maxLength: 255
        internal_name:
          type: string
          maxLength: 25
        archive:
          type: boolean
          description: Mark object as archieved.
      required:
        - id
        - internal_name
        - name_en
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````